<?php 

require_once 'incfiles/core.php';
require_once 'incfiles/func.php';
require_once 'incfiles/auth.php';
require_once 'incfiles/user.php';

if (!empty($user_id)) {header('location: /'); exit;}




	$title = lang('Регистрация','Реєстрація');

if ($system['reg'] == 3)
{
	require_once 'incfiles/head.php';
	echo '<div class="title">'.$title.'</div>
	<div class="block">
	'.lang('Регистрация временно закрыта!','Реєстрація тимчасово закрита!').'
	</div>';
	require_once 'incfiles/foot.php'; exit;
}

if (!empty($_POST['reg']))
{
	$name = check($_POST['name']);
	$surname = check($_POST['surname']);
	$mail = check($_POST['mail']);
	$pass = check($_POST['pass']);
	$code = abs(intval($_POST['code']));

	# проверяем имя/фамилию
	if (empty($name)) $err1 = true;
	if (!empty($name) && (mb_strlen($name) < 3 || mb_strlen($name) > 30)) $err1 = true;
    if (!empty($name) && $err1 == false && !preg_match("#^([A-zА-я-ІіЇїЄє])+$#ui", $name)) $err1 = true;
	if (empty($surname)) $err1 = true;
	if (!empty($surname) && (mb_strlen($surname) < 3 || mb_strlen($surname) > 30)) $err1 = true;
    if (!empty($surname) && $err1 == false && !preg_match("#^([A-zА-я-ІіЇїЄє])+$#ui", $surname)) $err1 = true;
	if ($err1 == true) $err = lang('Пожалуйста, укажите Ваше имя и фамилию.','Будь ласка, вкажіть Ваше ім\'я та прізвище.');

if ($system['reg'] == 1)
{
	# проверяем пароль
	if (empty($pass)) $err2 = true;
	if (!empty($pass) && mb_strlen($pass) < 4 or !empty($pass) && strlen($pass) > 30) $err2 = true;
	if (empty($err2) && !empty($pass) && !preg_match("#^([A-z0-9])+$#ui", $pass)) $err2 = true;
	if ($err1 == false && $err2 == true) $err = lang('Пожалуйста, введите пароль.','Будь ласка, введіть пароль.');
}

	# проверяем E-Mail
	if (empty($mail)) $err3 = true;
	if (!empty($mail) && !preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $mail)) $err3 = true;
  	# проверяем, не сущестует ли пользователя с таким e-mail
	if (!empty($mail) && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `mail` = '$mail'"),0) == true) $err3 = true;
	if (!empty($mail) && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users_new` WHERE `mail` = '$mail'"),0) == true) $err3 = true;
	if ($err1 == false && $err2 == false && $err3 == true) $err = lang('Пожалуйста, укажите Ваш E-mail.','Будь ласка, вкажіть Ваш E-mail.');

	
	
	# Регистрация
	if ($err == false)
	{
		if ($system['reg'] == 1)
		{
			mysql_query("INSERT INTO `users` SET
			`name` = '".$name."',
			`surname` = '".$surname."',
			`mail` = '".$mail."',
			`pass` = '".md5(md5($pass))."',
			`sex` = 1,
			`regtime` = '".time()."',
			`ip` = '".$ip."',
			`ua` = '".$ua."'
			");
		}
		else 
		{
			$genpass = md5(md5(time()));
			$pass = substr($genpass, 0, 7);
		
			if (mysql_query("INSERT INTO `users_new` SET
			`name` = '".$name."',
			`surname` = '".$surname."',
			`mail` = '".$mail."',
			`pass` = '".md5(md5($pass))."',
			`sex` = 1,
			`regtime` = '".time()."',
			`ip` = '".$ip."',
			`ua` = '".$ua."'
			") == true) $reg = true;
		}
				
		require_once 'incfiles/SendMailSmtpClass.php';
$mailSMTP = new SendMailSmtpClass('livebookua@yandex.ua', 'password', 'ssl://smtp.yandex.ru', 'weua.pro', 465);
	
		$message = 'Вітаю, '.$name.'!<br/>
		Ви успішно зареєструвалися на сайті weua.pro!<br/>
		Ваші дані для входу на сайт:<br/>
		Ваш E-mail: '.$mail.'<br/>
		Ваш Пароль: '.$pass.'<br/>
		З повагою адміністрація сайту weua.pro';
		$headers= "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=utf-8\r\n"; // кодировка письма
		$headers .= "From: weua.pro <livebookua@yandex.ua>\r\n"; // от кого письмо
		$mailSMTP->send($mail, 'Реєстрація', $message, $headers); // отправляем письмо

		if ($system['reg'] == 1)
		{
			$q = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `mail` = '".$mail."' AND `pass` = '".md5(md5($pass))."' LIMIT 1"));
			$user_id = $q['id'];
			$pass = md5(md5($pass));
			setcookie('uid', $user_id, time()+86400*365, '/');
			setcookie('upass', $pass, time()+86400*365, '/');

			go(URL.'/user/settings.php');
		}
		else if ($reg == true)
		{
			require_once 'incfiles/head.php';
			echo '<div class="title">'.lang('Добро пожаловать','Вітаємо').'!</div><div class="block">'.lang('Вы успешно зарегистрированы!<br/>На указаный Вами E-mail отправлены данные для входа на сайт','Ви успішно зареєстровані!<br/>На вказаний Вами E-mail надіслані дані для входу на сайт').'!</div>';
			require_once HOME.'/incfiles/foot.php'; exit;
		}

	}
}
		require_once('incfiles/head.php');

		echo '<div class="title">'.$title.'</div>';
		echo err($err).'
		<form action="'.URL.'/reg.php" method="post">
		<div class="block">
		'.lang('Имя','Ім\'я').':<br />
		<input class="input" name="name" type="text" maxlength="15" value="'.$name.'"/>
		</div><div class="block">
		'.lang('Фамилия','Прізвище').':<br />
		<input class="input" name="surname" type="text" maxlength="15" value="'.$surname.'"/>
		</div>';
		if ($system['reg'] == 1)
		{
			echo '<div class="block">
			Пароль: ('.lang('Разрешено только латинские буквы','Дозволено тiльки латинськi лiтери').') <br />
			<input class="input" name="pass" type="password" maxlength="30"  value="'.$pass.'"/>
			</div>';
		}
		echo '<div class="block">
		E-Mail: ('.lang('Используется для входа на сайт','Використовується для входу на сайт').') <br />
		<input class="input" name="mail" type="text" maxlength="30"  value="'.$mail.'"/>
		</div><div class="block">
		'.lang('Регистрируясь Вы автоматически принимаете <a href="'.URL.'/about.php?act=rules">условия пользования сайтом</a>','Реєструючись Ви автоматично приймаєте <a href="'.URL.'/about.php?act=rules">умови користування сайтом</a>').'
		</div><div class="block">
		<input class="button" type="submit" name="reg" value="'.lang('Регистрация','Реєстрація').'"/>
		</div>
		</form>';

require_once('incfiles/foot.php');

?>